<script>
  import { getHomeworkResources } from '../../api/homeworkResources'
  import homeworkResources from '../../stores/homeworkResources'
  import getGroupAuth from '../../utils/getGroupAuth'
  import getImageUrls from '../../utils/getImageUrls'

  import Stateless from './stateless'

  export let homeworkId
  export let groupId
  export let refreshKey

  $: resources =
    $homeworkResources[homeworkId] &&
    getImageUrls($homeworkResources[homeworkId])

  let error

  function refresh() {
    error = null
    getGroupAuth(groupId)
      .then(auth => getHomeworkResources(homeworkId, auth))
      .catch(e => (error = e))
  }
  $: refresh(refreshKey)
</script>

{#if resources}
  <Stateless {resources} {homeworkId} {groupId} />
{:else if error}
  <p class="text-sm text-gray-700">
    Hubo un error al intentar conseguir los recursos de esta tarea.
  </p>
{:else}
  <p class="text-sm text-gray-700">cargando recursos...</p>
{/if}
